﻿namespace ScaraBattle.Persistence
{
    /// <summary>
    /// Dune game object implementing singleton pattern
    /// </summary>
    public sealed class Dune : Obstacle
    {
        private static readonly Dune instance = new Dune();

        static Dune()
        {
        }

        private Dune()
        {
        }

        public static Dune Instance
        {
            get
            {
                return instance;
            }
        }
    }
}
