﻿namespace ScaraBattle.Persistence
{
    /// <summary>
    /// Oasis game object implementing singleton pattern
    /// </summary>
    public sealed class Oasis : Obstacle
    {
        private static readonly Oasis instance = new Oasis();

        static Oasis()
        {
        }

        private Oasis()
        {
        }

        public static Oasis Instance
        {
            get
            {
                return instance;
            }
        }
    }
}
