﻿namespace ScaraBattle.Persistence
{
    /// <summary>
    /// Ruins game object implementing singleton pattern
    /// </summary>
    public sealed class Ruins : Obstacle
    {
        private static readonly Ruins instance = new Ruins();

        static Ruins()
        {
        }

        private Ruins()
        {
        }

        public static Ruins Instance
        {
            get
            {
                return instance;
            }
        }
    }
}
