﻿namespace ScaraBattle.Persistence
{
    /// <summary>
    /// Abstract tower type with common attributes
    /// </summary>
    public abstract class Tower : GameObject
    {
        public float Range { get; set; }

        public int Damage { get; set; }

        public int Level { get; set; }

        public bool IsBlue { get; set; }

        public int SellCost { get { return Level * 5; } }

        public int UpgradeCost { get { return 7; } }
    }
}
